Support

How to assemble the plane

How to assemble the slingshot

How to shoot the plane

User Manual

Download (PDF)

Guarantee

Guarantee

Compatibility Android

Requirements

  •   Bluetooth 4 low energy
  •   Accelerometer and Gyroscope
  •   Android 4.4 or newer

Not compatible

  •  Samsung Galaxy Mini
  •   Samsung Note 3
  •   Samsung Galaxy Tabs

For the best compatibility, we recommend phones released in 2015 or later.

Before buying the Moskito check if you are able to install the app on your Android Device.

Compatibility iOS

  •  iPhone SE
  •   iPhone 6s
  •   iPhone 6
  •  iPhone 5s
  •  iPod 6th Gen.
  •  iPad 5th Gen.
  •   iPad Air
  •   iPad Air 2
  •  iPad Mini 2, 3, 4
  •  iPad Pro

Additional requirements

iOS Version 9.3 or newer